All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector.informationservices
Class AuthorFilter

    com.sas.swing.models.remotefileselector.informationservices.AuthorFilter

All Implemented Interfaces:
  com.sas.services.information.FilterInterface, java.io.Serializable

    public class AuthorFilter

AuthorFilter class provides a filter to search on the author metadata item.

Since:
  3.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.KeywordFilter
`_keywords`

Fields inherited from class com.sas.services.information.Filter
`_component`

Fields inherited from interface com.sas.services.information.FilterInterface
`BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

Constructor Summary
`AuthorFilter()` Constructs the filter class.

Method Summary
`java.lang.String` | `getXMLSelectString()` Get the filter in the form of an XMLSelect statement.
`void` | `setAuthor(java.lang.String author)` Sets the author value used in the filter.

Methods inherited from class com.sas.services.information.metadata.KeywordFilter
`addKeyword, getKeywordSelectString, removeKeyword`

Methods inherited from class com.sas.services.information.Filter
`addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVBasicSearchString, getDAVScope, getDAVSQLString, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getOMRType, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

Constructor Detail

### AuthorFilter

    public AuthorFilter()

  Constructs the filter class.

Method Detail

### setAuthor

    public void setAuthor(java.lang.String author)

  Sets the author value used in the filter.

  Parameters:
    `author` - the value used in the filter

### getXMLSelectString

    public java.lang.String getXMLSelectString()

  Get the filter in the form of an XMLSelect statement.

  Specified by:
    `getXMLSelectString` in interface `com.sas.services.information.FilterInterface`
  Overrides:
    `getXMLSelectString` in class `com.sas.services.information.metadata.KeywordFilter`
  Returns:
    An XMLSelect string to pass to OMR.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.